Get progress for a user on a content block
Returns a user’s progress on a content block. Scoped to your integration’s institution via Basic Auth credentials.
GET
/content-blocks/{id}/progress/{userId}Path parameters
idstringrequiredContent block ID
userIdstringrequiredUser ID
Responses
200Progress details
dataBlockProgressDetailrequiredShow propertiesHide properties
blockIdstringrequireduserIdstringrequiredstatusstringrequiredAllowed:
NOT_STARTEDIN_PROGRESSFINISHEDREVIEWEDlockStatestringrequiredAllowed:
UNLOCKEDBLOCKEDstartedAtstring<date-time> | nullrequiredcompletedAtstring<date-time> | nullrequireduserDataobjectconditionsConditionStatus[]requiredShow propertiesHide properties
Array of
ConditionStatusconditionIdstringrequiredrequiredBlockIdstringrequiredrequiredBlockNamestringrequiredmetbooleanrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring403Forbidden
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X GET "https://fuxam.app/api/v4/content-blocks/string/progress/string"const response = await fetch("https://fuxam.app/api/v4/content-blocks/string/progress/string", {
method: "GET"
});import requests
response = requests.get(
"https://fuxam.app/api/v4/content-blocks/string/progress/string",
)Response
{
"data": {
"blockId": "string",
"userId": "string",
"status": "NOT_STARTED",
"lockState": "UNLOCKED",
"startedAt": "2024-01-01T00:00:00Z",
"completedAt": "2024-01-01T00:00:00Z",
"userData": {},
"conditions": [
{
"conditionId": "string",
"requiredBlockId": "string",
"requiredBlockName": "string",
"met": true
}
]
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}